org.wso2.carbon.mdm.services.android.services.impl

## Class DeviceTypeConfigurationServiceImpl

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.services.impl.DeviceTypeConfigurationServiceImpl

- All Implemented Interfaces:
    DeviceTypeConfigurationService

      public class DeviceTypeConfigurationServiceImpl
      extends Object
      implements DeviceTypeConfigurationService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceTypeConfigurationServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getConfiguration(String ifModifiedSince)`
    `javax.ws.rs.core.Response` | `getLicense(String ifModifiedSince)`
    `javax.ws.rs.core.Response` | `updateConfiguration(AndroidPlatformConfiguration androidPlatformConfiguration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceTypeConfigurationServiceImpl

          public DeviceTypeConfigurationServiceImpl()

  - ### Method Detail

    - #### getConfiguration

          public javax.ws.rs.core.Response getConfiguration(@HeaderParam(value="If-Modified-Since")
                                                   String ifModifiedSince)

      Specified by:
        `getConfiguration` in interface `DeviceTypeConfigurationService`

    - #### updateConfiguration

          public javax.ws.rs.core.Response updateConfiguration(AndroidPlatformConfiguration androidPlatformConfiguration)

      Specified by:
        `updateConfiguration` in interface `DeviceTypeConfigurationService`

    - #### getLicense

          public javax.ws.rs.core.Response getLicense(@HeaderParam(value="If-Modified-Since")
                                             String ifModifiedSince)

      Specified by:
        `getLicense` in interface `DeviceTypeConfigurationService`

Copyright © 2017 WSO2. All rights reserved.